com.pdfunit

## Enum Rotation

- java.lang.Object
- - java.lang.Enum<Rotation>
  - - com.pdfunit.Rotation

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Rotation>

      @DoNotObfuscate
      public enum Rotation
      extends java.lang.Enum<Rotation>

  Enumeration defining values for image manipulation.
  Since:
    2016.05
  Author:
    Carsten Siedentop, February 2016

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEGREES_0`
    `DEGREES_180`
    `DEGREES_270`
    `DEGREES_90`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ImageRegion` | `rotate(com.pdfunit.internal.spi.IImage image, ImageRegion imageRegion)`
    `static Rotation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Rotation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEGREES_0

          public static final Rotation DEGREES_0

    - #### DEGREES_90

          public static final Rotation DEGREES_90

    - #### DEGREES_180

          public static final Rotation DEGREES_180

    - #### DEGREES_270

          public static final Rotation DEGREES_270

  - ### Method Detail

    - #### values

          public static Rotation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Rotation c : Rotation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Rotation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### rotate

          public ImageRegion rotate(com.pdfunit.internal.spi.IImage image,
                           ImageRegion imageRegion)

Copyright (C) PDFUnit.com. See here for license.